Last Comment Bug 743839 - navigator.mozApps, assignment to undeclared variable
: navigator.mozApps, assignment to undeclared variable
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Apps (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: [:fabrice] Fabrice Desré
Mentors:
Depends on:
Blocks: 746465
  Show dependency treegraph
 
Reported: 2012-04-09 15:00 PDT by dclarke@mozilla.com [:onecyrenus]
Modified: 2012-07-28 09:24 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description dclarke@mozilla.com [:onecyrenus] 2012-04-09 15:00:33 PDT
inside browser/modules/webappsUI.jsm

I am seeing a warning being thrown that installDone is not initialized prior to assigning.  

 doInstall: function(aData, aBrowser, aWindow) {
    let bundle = aWindow.gNavigatorBundle;

    let mainAction = {
      label: bundle.getString("webapps.install"),
      accessKey: bundle.getString("webapps.install.accesskey"),
      callback: function(notification) {
        installDone = true;
        DOMApplicationRegistry.confirmInstall(aData);
      }
    };
Comment 1 Josh Matthews [:jdm] (on vacation until Dec 5) 2012-04-09 15:23:23 PDT
I assume you mean undeclared, rather than uninitialized?
Comment 2 Ian Bicking (:ianb) 2012-04-30 14:05:55 PDT
I think this was fixed by Felipe in http://hg.mozilla.org/mozilla-central/rev/762911344837

Note You need to log in before you can comment on or make changes to this bug.